Orgs Connections
Browse the WhatsApp template library
Browse Meta’s pre-approved template library (read through a Redis cache).
GET
/
orgs
/
{org_id}
/
connections
/
{connection_id}
/
whatsapp
/
templates
/
library
Browse the WhatsApp template library
curl --request GET \
--url https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/templates/library \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/templates/library"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/templates/library', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"language": "<string>",
"category": "<string>",
"topic": "<string>",
"usecase": "<string>",
"industry": [
"<string>"
],
"header": "<string>",
"body": "<string>",
"body_params": [
"<string>"
],
"body_param_types": [
"<string>"
],
"buttons": [
{
"type": "<string>",
"text": "<string>",
"url": "<string>",
"phone_number": "<string>",
"example": [
"<string>"
],
"otp_type": "<string>",
"autofill_text": "<string>",
"zero_tap_terms_accepted": true,
"supported_apps": [
{
"package_name": "<string>",
"signature_hash": "<string>"
}
],
"flow_id": "<string>",
"flow_name": "<string>",
"flow_action": "<string>",
"navigate_screen": "<string>"
}
]
}
]Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
The ID of the connection
Query Parameters
Page number
Number of items to take
Next page token (Only used on special endpoints)
Was this page helpful?
Previous
Create a WhatsApp template from the libraryCreate a message template from an entry in Meta's pre-approved library. Submits the template to Meta for review.
Next
⌘I
Browse the WhatsApp template library
